*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{
    width: 100%;
    max-width: 1400px;
    display: block;
    margin: auto;
    min-height: 100vh;
    background: #191919;
    font-family: sans-serif;
}
.navbar{
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9;
    background: #1a1a1a;
}
.link-group{
    list-style: none;
    display: flex;
}
.link a{
    color: #fff;
    opacity: 0.5;
    text-decoration: none;
    text-transform: capitalize;
    padding: 10px 30px;
    margin: 0 20px;
    line-height: 80px;
    transition: .5s;
    font-size: 20px;
}
.link a:hover, .link.active a{
    opacity: 1;
}
.home-section{
    width: 100%;
    height: 100vh;
    padding: 0 150px;
    display: flex;
    align-items: center;
    position: fixed;
    top: 0;
    opacity: 0;
    transition: 1s;
}
.home-section.active,
.project-section.active,
.about-section.active,
.contact-section.active{
    position: relative;
    opacity: 1;
    z-index: 8;
}
.hero-heading{
    color: #fff;
    font-size: 120px;
    text-transform: capitalize;
    font-weight: 300;
}
.home-img{
    position: absolute;
    top: 0;
    right: 0;
    height: 100vh;
    width: 50%;
    object-fit: cover;
    opacity: 0.2;
}
.project-section{
    width: 100%;
    min-height: 100vh;
    padding: 150px 100px 100px;
    position: fixed;
    top:0;
    transition: 1s;
    opacity: 0;
}
.project-container button a{
    text-decoration: none;
    color: white;
}
.project-heading{
    font-size: 100px;
    background: #252525;
    text-transform: capitalize;
    text-align: center;
    margin-bottom: 50px;
    color: #1a1a1a;
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-stroke: 8px transparent;
}
.project-container{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 100px;
}
.project-card{
    height: 400px;
    position: relative;
}
.project-img{
    width: 100%;
    height: 100%;
    position: absolute;
    top:0;
    left: 0;;
    object-fit: cover;
    transition: .5s;
}
.project-content{
    position: relative;
    padding: 40px;
    transition: .5s;
    opacity: 0;
}
.project-title{
    font-size: 50px;
    text-transform: capitalize;
    text-align: center;
    font-weight: 300;
}
.project-info{
    margin:40px;
    font-size: 20px;
    line-height: 30px;
    text-align: center;
}
.project-btn-grp{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap:20px;
}
.project-btn{
    height: 40px;
    text-transform: capitalize;
    font-size: 18px;
    border: none;
    background: #000;
    color: #fff;
    cursor: pointer;
}
.project-btn.live{
    background: none;
    border: 2px solid #fff;
    background: black;
}
.project-card:hover .project-img{
    filter: blur(20px); /*efeito novo*/
}
.project-card:hover .project-content{
    opacity: 1;
}
.skill-section{
    position: relative;
    margin:100px 0;
}
.heading{
    text-align: center;
    font-size: 60px;
    color: #fff;
    text-transform: capitalize;
    font-weight: 300;
    margin-bottom: 100px;
}
.skills-container{
    width: 95%;
    margin: auto;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap:100px;
    color: #fff;
}
.skill-card{
    position: relative;
}
.skill-img{
    display: block;
    margin: auto;
    height: 200px;
}
.skill-info{
    text-align: center;
    opacity: 0.5;
    font-size: 18px;
    line-height: 30px;
}
.skill-level{
    position: absolute;
    top:80px;
    right: 0;
    width: 150px;
    height: 150px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 22px;
    border-radius: 50%;
    border:10px solid;
}
.skill-section{
    position: relative;
    margin: 100px 0;
}
.heading{
    text-align: center;
    font-size: 60px;
    color: #fff;
    text-transform: capitalize;
    font-weight: 300;
    margin-bottom: 100px;
}
.skills-container{
    width: 95%;
    margin: auto;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 100px;
    color: #fff;
}
.skill-card{
    position: relative;
}
.skill-img{
    display: block;
    margin: auto;
    height: 200px;
}
.skill-name{
    font-size: 30px;
    font-weight: 300;
    text-align: center;
    text-transform: capitalize;
    margin: 30px 0 20px;
}
.skill-info{
    text-align: center;
    opacity: 0.5;
    font-size: 18px;
    line-height: 30px;
}
.skill-level{
    position: absolute;
    top: 80px;
    right: 0;
    width: 150px;
    height: 150px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 22px;
    border-radius: 50%;
    border: 10px solid;
}
.skill-card:nth-child(1) .skill-level{
    background: #ff4f4f28;
    border-color: #ff4f4f;
    color: #ff4f4f;
}
.skill-card:nth-child(2) .skill-level{
    background: #4fa0ff28;
    border-color: #4fa0ff;
    color: #4fa0ff;
}
.skill-card:nth-child(3) .skill-level{
    background: #ffed4f28;
    border-color: #ffed4f;
    color: #ffed4f;
}
.skill-card:nth-child(4) .skill-level{
    background: #52ff4f28;
    border-color: #52ff4f;
    color: #52ff4f;
}
.skill-card:nth-child(5) .skill-level{
    background: #4fdfff28;
    border-color: #4fdfff;
    color: #4fdfff;
}
.skill-card:nth-child(6) .skill-level{
    background: #4fdfff28;
    border-color: #d64fff;
    color: #d64fff;
}
.timeline{
    display: block;
    width: 100%;
    padding-top: 100px;
    
}
.timeline .heading{
    margin-bottom: 150px;
}
.card{
    width: 95%;
    padding: 30px;
    border-radius: 10px;
    color: #fff;
    margin: 50px 30px;
    display: flex;
    justify-content: space-between;
    background: #529EF8;
}
.card-title{
    font-size: 30px;
    font-weight: 300;
    margin-bottom: 20px;
}
.about-section{
    width: 100%;
    min-height: 100vh;
    padding: 150px 100px 0;
    position: fixed;
    top: 0;
    opacity: 0;
    transition: 1s;
}
.about{
    width: 100%;
    display: grid;
    grid-template-columns: 30% 65%;
    grid-gap: 40px;
}
.about-section button a{
    text-decoration: none;
    color: white;
}
.about-img-container{
    position: relative;
}
.about-info{
    color: #fff;
    opacity: 0.6;
    font-size: 20px;
    line-height: 40px;
}
.about-img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 20px;
}
.download-cv-btn{
    position: absolute;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
    padding: 10px 20px;
    color: #fff;
    border: none;
    font-size: 16px;
    text-transform: capitalize;
    cursor: pointer;
    transition: .5s;
    background: rgba(0, 0, 0, 0.5);
}
.download-cv-btn:hover{
    background: #000;
}
footer{
    width: 100%;
    height: 7rem;
    display: flex;
    justify-content: center;
    align-items: center;
}
.social-list a{
    margin: 0 2rem;
    color: #a7a7a7;
    font-size: 1.3rem;
}
.social-list ul {
    display: flex;
    list-style: none;
}
@media screen and (max-width: 992px) {
    .project-container{
        display: flex;
        flex-wrap: wrap;
    }
    .about{
        display: flex;
        flex-wrap: wrap;
    }
    .skills-container{
        display: flex;
        flex-wrap: wrap;
    }
    .skill-section{
        width: 100%;
    }
}
@media screen and (max-width: 600px) {  
    .heading{
        text-align: center;
    }
    .project-container{
        display: flex;
        flex-wrap: wrap;
    }
    .project-info{
        display: none;
    }
    .project-btn {
        margin-top: 50px;
    }
    .about{
        display: flex;
        flex-wrap: wrap;
    }
    .skills-container{
        display: flex;
        flex-wrap: wrap;
    }
    .skill-section{
        width: 100%;
    }
    .navbar{
        display: none;
    }
    .card{
        display: flex;
        flex-wrap: wrap;
    }
}
